Subversion Repositories Scribus

Rev

Go to most recent revision | Show changed files | Details | Compare with Previous | Blame | RSS feed

Filtering Options

Rev Age Author Path Log message Diff
24651 555d 05h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Include Qt6 Network module  
24562 629d 10h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Set minimum Qt function / deprecatiopn version to 5.14.
Fix time call in zip global
 
24535 642d 07h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake Fix build with harfbuzz-subset versions between 2.0.0 and 2.6.4  
24514 651d 09h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake CMake: output message if Harfbuzz library has been found  
24494 654d 16h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Remove QT5_WRAP function usage and rely on autogeneration of ui and moc related files, another step towards Qt6  
24479 658d 02h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake Put some order in config.h and remove some useless stuf  
24473 659d 05h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake Remove some unused stuff from cmake files  
24472 659d 10h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake CMake: add message to inform about Harfbuzz subset library detection  
24469 660d 07h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake Detect harfbuzz-subset library availability  
24351 711d 04h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Rename hunspell cmake finder to fix warnings  
24350 711d 05h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Rename cairo finder variables to remove cmake warning. Remove old cmake
legacy workaround
 
24339 712d 04h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Change poppler finder code to new name, fixes CMake warnings  
24314 725d 05h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Add basic Qt6 support in CMake. Note Scribus does not build yet with
these changes.
 
24201 756d 09h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Bump minimum Qt version to 5.14  
23503 993d 10h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Bump Qt version to 5.11 to fix deprecated APIs, bump about date, bump copyright date  
23489 1000d 05h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake #15957: Embedded ICC color profiles of PNG images are not detected during import  
23476 1007d 16h jghali /trunk/Scribus/CMakeLists_Dependencies.cmake Fix typo  
23419 1089d 04h craig /trunk/Scribus/CMakeLists_Dependencies.cmake #15980: CMake cleanup #6, import FindFontconfig from CMake 3.14+ tempoarily until we can set 3.14 as default. Use it  
23402 1091d 14h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Remove old FreeType2 checking code for really ancient (2002) versions missing functions  
23352 1120d 12h craig /trunk/Scribus/CMakeLists_Dependencies.cmake Re-add legacy Python 2.x scriptplugin prior to r23278 and switches to choose it, use -DWANT_PYTHON_2X=1. Default remains 3.x.  

Show All